org.openmuc.josistack

## Class DecodingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.openmuc.josistack.DecodingException

All Implemented Interfaces:
  java.io.Serializable

    public final class DecodingException
    extends java.lang.Exception

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DecodingException()`
`DecodingException(java.lang.String s)`
`DecodingException(java.lang.String s, java.lang.Throwable cause)`
`DecodingException(java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DecodingException

    public DecodingException()

#### DecodingException

    public DecodingException(java.lang.String s)

#### DecodingException

    public DecodingException(java.lang.Throwable cause)

#### DecodingException

    public DecodingException(java.lang.String s,
                             java.lang.Throwable cause)